------------------------------------------------------------------------------------
--Name:  	juqing7
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(113, 100)
CppScriptMgr:SetViewScale(300)
local Player_1 = CppScriptMgr:AddSimplePlayer(1100170, 108, 101, "Anthony", 0, 0)
Player_1:SetDir(6)
local Player_2 = CppScriptMgr:AddSimplePlayer(1100180, 112, 100, "Butler", 0, 0)
Player_2:SetDir(2)
local Player_3 = CppScriptMgr:AddSimplePlayer(1057832, 115, 103, "", 0, 0)
Player_3:SetDir(2)
local Player_4 = CppScriptMgr:AddSimplePlayer(1057832, 115, 105, "", 0, 0)
Player_4:SetDir(2)
local Player_5 = CppScriptMgr:AddSimplePlayer(1057832, 115, 101, "", 0, 0)
Player_5:SetDir(2)
local Player_6 = CppScriptMgr:AddSimplePlayer(1057962, 119, 105, "", 0, 0)
Player_6:SetDir(2)
local Player_7 = CppScriptMgr:AddSimplePlayer(1057962, 119, 107, "", 0, 0)
Player_7:SetDir(2)
local Player_8 = CppScriptMgr:AddSimplePlayer(1057962, 119, 103, "", 0, 0)
Player_8:SetDir(2)
CppScriptMgr:WaitMilSec(500)
Player_2:Say("The Auter family has been honored for a century.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("May our new leader guide the Auter family forward with continued success!", 1500)
CppScriptMgr:WaitMilSec(1830)
local Effect_1 = CppScriptMgr:AddEffect("irongate_superc", 108, 101, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2170)
Player_1:Say("Thank you all!", 1000)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(980)
Player_1:Say("I will place the honor of our family first!", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1450)
local effect_0 = CppScriptMgr:AddEffect("Fruits_bossjs", 111, 106, 33, 1, 1, 1)
Player_1:Say("Let`s keep the Auter family shining!", 1500)
Player_2:SetAction(200)
Player_3:SetAction(200)
Player_4:SetAction(200)
Player_5:SetAction(200)
Player_6:SetAction(200)
Player_7:SetAction(200)
Player_8:SetAction(200)
CppScriptMgr:WaitMilSec(1460)
local effect_1 = CppScriptMgr:AddEffect("Fruits_bossjs", 118, 95, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2030)